﻿using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;

namespace PopupSample
{
    public partial class MainPage : ContentPage
    {
        SfPopupLayout popupLayout;
        DataTemplate contentTemplateView;
        Label label;
        public MainPage()
        {
            InitializeComponent();

            popupLayout = new SfPopupLayout();
            clickToShowPopup.Clicked += ClickToShowPopup_Clicked;
            contentTemplateView = new DataTemplate(() =>
            {
                label = new Label();
                label.Text = "This is PopUpLayout";
                return label;

            });
            popupLayout.PopupView.ContentTemplate = contentTemplateView;
        }
        private void ClickToShowPopup_Clicked(object sender, EventArgs e)
        {
            popupLayout.Show();
        }

        protected override void OnAppearing()
        {
            base.OnAppearing();
        }
        protected override void OnDisappearing()
        {
            base.OnDisappearing();
            popupLayout.Dismiss();
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            Navigation.PushAsync(Activator.CreateInstance(Type.GetType("PopupSample.TestingPage")) as Page);
        }
    }
}
